Vla-addtable

提供:GizmoLabs - だいたい CAD LISP なサイト
構文
(vla-addtable vla-object InsertionPoint NumRows NumColumns RowHeight ColWidth)


機能
図面にテーブルを追加する。


引数
  • vla-object … VLAオブジェクト
  • InsertionPoint … 表を挿入する位置を示す図面内の 3D WCS 座標。
  • NumRows … 表の行数。
  • NumColumns … 表の列数。
  • RowHeight … 表の行の高さ。
  • ColWidth … 表の列幅。


戻り値
新しく作成された表の VLA オブジェクト。


サンプル
(vl-load-com)
(defun c:Example_AddTable()
    ;; モデル空間に表オブジェクトを作成
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    (setq pt (vlax-3d-point 0 0 0))

    (setq modelSpace (vla-get-ModelSpace doc))
    (setq MyTable (vla-Addtable modelSpace pt 5 5 10 30))
    (vla-ZoomExtents acadObj)
)

関連事項